| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::ItemFiltersHistoryTreeItem Class Reference

## Public Member Functions
| ItemFiltersHistoryTreeItem (const QList< QVariant > &data, ItemFiltersHistoryTreeItem *const parent=nullptr)
| ItemFiltersHistoryTreeItem (const QString &data, ItemFiltersHistoryTreeItem *const parent=nullptr)
void | appendChild (ItemFiltersHistoryTreeItem *const child)
ItemFiltersHistoryTreeItem * | child (int row) const
int | childCount () const
int | columnCount () const
QVariant | data (int column) const
bool | isDisabled () const
ItemFiltersHistoryTreeItem * | parent () const
void | removeChild (int row)
int | row () const
void | setDisabled (bool disabled) const